BEEM - Android XMPP - Feature #476

Add support for SCRAM-SHA-1 SASL Mechanism
01/13/2013 11:05 PM - Frédéric Barthéléry

Status: Closed Start date: 01/13/2013
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 100%
Category: XMPP Estimated time: 0.00 hour
Target version: 0.1.8

Description

As specified in the rfc6120

The SCRAM-SHA-1 or SASL-SCRAM-SHA-1-PLUS variants of the SCRAM mechanism
replace the SASL DIGEST-MD5 mechanism as XMPP's mandatory-to-—-implement
password-based method for authentication only.

Associated revisions

Revision 1016:¢337d8c387f5 - 01/13/2013 08:36 PM - Frédéric Barthéléry

Implement an ScramSaslMechanism to use it with Smack.
Fix #476

History

#1 - 01/15/2013 05:30 PM - Frédéric Barthéléry
- Status changed from Assigned to Resolved

- % Done changed from 0 to 100

Applied in changeset c337d8c38715.

#2 - 02/24/2013 09:05 PM - Frédéric Barthéléry

- Status changed from Resolved to Closed

#3 - 02/24/2013 09:09 PM - Frédéric Barthéléry

- Target version changed from 0.1.9 to 0.1.8
